package com.sqx.modules.errand.service;

import com.sqx.common.utils.Result;
import com.sqx.modules.app.entity.UserEntity;
import com.sqx.modules.errand.entity.Feedback;

public interface UserInfoService {

    UserEntity findUserInfoById(Long userId);

    Result certification(Long userId, UserEntity userEntity);

    Result checkPhone(String openId, String phone, Integer userType);

    Result riderCertification(Long userId, UserEntity userEntity);

    Result updateUserInfoById(UserEntity userEntity);

    Result userFeedback(Long userId, Feedback feedback);

    Result findIncome(Long userId);

    Result findBalance(Long userId);

    Result findCashDeposit(Long userId);

    Result findMoneyDetails(Long userId, Integer page, Integer limit, Integer classify);

    Result findEvaluate(Long userId, Integer page, Integer limit, String satisfactionFlag);

    Result getNewUserRedPacket(Long userId);

    Result updateCoordinate(Long userId, double lng, double lat);

    Result updateOnLine(Long userId, Integer onLineFlag);

    Result rankingList(Integer page, Integer limit, String address, String date, String dateType);

    Result bannedFlag(Long userId);

    Result selectCashDeposit(Long userId, Integer page, Integer limit, Integer classify);

    Result getNewUserRedPacketWm(Long userId);
    
}
